package skeb

/** The type of all expressions that can be evaluated. This is the common super-
  * class of a case-class abstract data type (ADT). */
abstract class Expression {
  
  /** A list of all cells this expression depends on. */
  def references: List[Cell]
  
}
